### Method

# Ide Toolchain get_id

#### Declaration

    const gchar*
    ide_toolchain_get_id (
      IdeToolchain* self
    )

#### Description

Gets the internal identifier of the toolchain.

Available since: | 3.32

Gets property | `Ide.Toolchain:id`

#### Return value

Returns: | `const gchar*`
| The unique identifier.
| The data is owned by the instance.
| The value is a NUL terminated UTF-8 string.